C23 fix backported from 7.2.0_beta1

--- a/include/iprt/types.h
+++ b/include/iprt/types.h
@@ -281,8 +296,14 @@
      typedef _Bool bool;
 #   endif
 #  else
-#   undef bool /* see above netbsd explanation */
+#   if defined(__KERNEL__)
+#    if __STDC_VERSION__ < 202311L
+#     undef bool /* see above netbsd explanation */
 typedef _Bool bool;
+#    endif
+#   else
+#    include <stdbool.h>
+#   endif
 #  endif
 # else
 #  if RT_MSC_PREREQ(RT_MSC_VER_VC120)
